Database Software Requirements

The server-side applications require an SQL database that can be either a local database installed on the same server as the ESM Console or ESM Server, or an external database installed on another machine. If you plan to deploy multiple ESM Servers, install the database on the ESM Console or use an external database.
Consult with the Palo Alto Networks support team if you require integration with an existing database.
Provision a database server that meets the following prerequisites:
  • Database application for use during evaluation or production. Use one of the following:
    SQL Server Express
    SQL Server Enterprise
    SQL Server Standard
    Versions
    • 2008 R2
    • 2012
    • 2014
    • 2016
    • 2017
    • 2008 R2
    • 2012
    • 2012 with Always On*
    • 2014
    • 2014 with Always On*
    • 2016
    • 2016 with Always On*
    • 2017
    *Always On based on group availability
    • 2008 R2
    • 2012
    • 2014
    • 2016
    • 2016 with Always On*
    • 2017
    *Always On based on group availability
    Agents supported during evaluation
    • 200 endpoints
    • 50 VDI
    • 50 server
    • 200 endpoints
    • 50 VDI
    • 50 server
    • 200 endpoints
    • 50 VDI
    • 50 server
    Agents supported during production per database cluster
    250 agents
    150, 000 agents
    150, 000 agents
  • English- or Japanese-language version of a physical or virtual Windows Server.
    To determine which versions of Windows Server are supported, refer to Where Can I Install the Endpoint Security Manager(ESM)? in the Palo Alto Networks® Compatibility Matrix .
  • Database collation using Latin1_General_CI_AS or Japanese_CI_AS. Ensure that you use the same collation for the host SQL Server system databases and the Traps ESM database.
  • For database hardware requirements, see Distributed Endpoint Security Manager Hardware Requirements

Related Documentation